Method: projects.locations.datasets.bulkUploadFeedbackLabels

從外部來源大量上傳意見回饋標籤。目前支援標記 Quality AI 範例對話。

HTTP 要求

POST https://{endpoint}/v1alpha1/{parent=projects/*/locations/*/datasets/*}:bulkUploadFeedbackLabels

其中 {endpoint} 是支援的服務端點之一。

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,新意見回饋標籤的父項資源。

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "validateOnly": boolean,

  // Union field source can be only one of the following:
  "gcsSource": {
    object (GcsSource)
  },
  "sheetsSource": {
    object (SheetsSource)
  }
  // End of list of possible types for union field source.
}
欄位
validateOnly

boolean

選用。如果設定了這個值,系統就不會上傳標籤,而是驗證標籤。如未設定,預設行為是在驗證完成後上傳標籤。

聯集欄位 source。外部資料儲存庫的設定,其中包含要轉換為 FeedbackLabels 的物件。source 只能是下列其中一個設定:
gcsSource

object (GcsSource)

Cloud Storage 值區來源。

sheetsSource

object (SheetsSource)

試算表文件來源。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • contactcenterinsights.authorizedFeedbackLabels.upload
  • contactcenterinsights.feedbackLabels.upload

詳情請參閱 IAM 說明文件。